; test.asm for lst2asm

; usage:
;  compile source with XA:
;   xa -M -W -bt 1536 -o test -l test.lst test.asm

;    this will generate LST file:
;         one, 0x0001, 0, 0x0000
;         two, 0x0002, 0, 0x0000
;         hex_80, 0x0080, 0, 0x0005
;         main, 0x0600, 0, 0x0000

;  convert LST to SYM:
;   lst2sym test.lst test.sym

;    now SYM file contains sorted by address symbols:
;         0001 one
;         0002 two
;         0080 hex_80
;         0600 main

;  add TAP header:
;   header test test.tap 1536

; run Oricutron
;   oricutron -ma -r1536 -s test.sym test.tap

.zero
one = 1
two = 2

* = $80
hex_80 .byt 0

.text
* = $600
main
        lda one
        ldy two
        sta (hex_80),y
        jmp main
